Bug 1011068 - man page: BehavioUr instead of behavior in en_US and vice versa
man page: BehavioUr instead of behavior in en_US and vice versa
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 10:57 EDT by Petr Sklenar
Modified: 2014-07-02 03:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 03:26:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-09-23 10:57:16 EDT
Description of problem:
behaviour or behavior or both

Version-Release number of selected component (if applicable):
util-linux-ng-2.17.2-12.14.el6.i686

How reproducible:
always

Steps to Reproduce:
# zcat /usr/share/man/man8/* | grep -r behaviour | wc -l
92
# zcat /usr/share/man/man8/* | grep -r behavior | wc -l
152


Actual results:
the usage of the both string 'behaviour' or 'behavior' in the man page

Expected results:
rand(behaviour,behavior)
not the both

Additional info:
Comment 3 Jan Chaloupka 2014-06-05 05:33:10 EDT
This is not just util-linux-ng package:

$ ls $(grep behavior *.8 | cut -d: -f1)
auditctl.8     grpck.8           newusers.8      pppd.8       smtpd.8
ausyscall.8    grubby.8          nscd.8          pwck.8       snmptrapd.8
auvirt.8       iptables-1.4.7.8  nscd.8          pwconv.8     sudo.8
blkdiscard.8   ld.so.8           ntpd.8          pwconv.8     tcpdump.8
chat.8         ld.so.8           numastat.8      rpm.8        tcpdump.8
chpasswd.8     lspci.8           numastat.8      rpm.8        tcpdump.8
cleanup.8      lspci.8           numastat.8      rsyslogd.8   tune2fs.8
cron.8         lspci.8           numastat.8      rsyslogd.8   tune2fs.8
cups-genppd.8  lvchange.8        PAM.8           saslauthd.8  tune2fs.8
cups-genppd.8  lvcreate.8        pam_cracklib.8  saslauthd.8  tune2fs.8
cups-lpd.8     MAKEDEV.8         pam_env.8       setpci.8     udevadm.8
dnsmasq.8      makedumpfile.8    pam_group.8     setpci.8     udevd.8
efibootmgr.8   master.8          pam_krb5.8      smartctl.8   useradd.8
efibootmgr.8   mdmon.8           pam_krb5.8      smartctl.8   useradd.8
fsck.8         mount.8           pam_limits.8    smartctl.8   useradd.8
fsck.8         mount.8           pam_listfile.8  smartctl.8   userdel.8
fstrim.8       mount.8           pam_passwdqc.8  smartctl.8   userhelper.8
groupadd.8     mount.cifs.8      pam_rootok.8    smartctl.8   usermod.8
groupdel.8     mount.cifs.8      pam_selinux.8   smartctl.8
groupmems.8    mount.cifs.8      pethtool.8      smartd.8
groupmod.8     NetworkManager.8  pifconfig.8     smartd.8

$ ls $(grep behaviour *.8 | cut -d: -f1)
blktrace.8         dnsmasq.8    lvm.8    mount.8           scsi_id.8    tc-red.8
blktrace.8         dnsmasq.8    mdadm.8  pam_succeed_if.8  scsi_id.8    tc-tbf.8
blktrace.8         ethtool.8    mount.8  ping.8            scsi_id.8    tune2fs.8
dhclient-script.8  execstack.8  mount.8  pppd.8            smartctl.8   tune2fs.8
dhclient-script.8  gssd.8       mount.8  pppd.8            snmpd.8      usermod.8
dhclient-script.8  hciconfig.8  mount.8  pppd.8            snmpd.8      winbindd.8
dmsetup.8          hdparm.8     mount.8  pppd.8            snmptrapd.8  yum.8
dnsmasq.8          hdparm.8     mount.8  pvcreate.8        staprun.8    yum.8
dnsmasq.8          ip.8         mount.8  rdisc.8           tc.8
dnsmasq.8          iwconfig.8   mount.8  repquota.8        tc.8
dnsmasq.8          lvcreate.8   mount.8  rsyslogd.8        tc.8

Replacing behaviour for behavior in one package does not change anything. All packages would have to be patched, one email to each packages upstream and so on.

This is rather typo of no concern for me. What do you think, Karel?
Comment 4 Karel Zak 2014-06-06 03:52:41 EDT
Fixed by usptream commit ee312c654b0c9f2e516fca729cb54c6c0ce42524.
Comment 5 Karel Zak 2014-06-06 03:58:11 EDT
(In reply to Jan Chaloupka from comment #3)
> Replacing behaviour for behavior in one package does not change anything.
> All packages would have to be patched, one email to each packages upstream
> and so on.

Yep.

> This is rather typo of no concern for me. What do you think, Karel?

It's so trivial issue that I don't think it makes sense to fix it in RHEL update. It would be better to use our resources for more important things.

IMHO it's enough to fix it in upstream trees.

Note You need to log in before you can comment on or make changes to this bug.